// Operand
`define OP_ADDWF    6'b0001_11
`define OP_ANDWF    6'b0001_01
`define OP_CLRF     7'b0000_011
`define OP_CLRW    12'b0000_0100_0000
`define OP_COMF     6'b0010_01
`define OP_DECF     6'b0000_11
`define OP_DECFSZ   6'b0010_11
`define OP_INCF     6'b0010_10
`define OP_INCFSZ   6'b0011_11
`define OP_IORWF    6'b0001_00
`define OP_MOVF     6'b0010_00
`define OP_MOVWF    6'b0000_01
`define OP_NOP     12'b0000_0000_0000
`define OP_RLF      6'b0011_01
`define OP_RRF      6'b0011_00
`define OP_SUBWF    6'b0000_10
`define OP_SWAPF    6'b0011_10
`define OP_XORWF    6'b0001_10
`define OP_BCF      4'b0100
`define OP_BSF      4'b0101
`define OP_BTFSC    4'b0110
`define OP_BTFSS    4'b0111
`define OP_ANDLW    4'b1110
`define OP_CALL     4'b1001
`define OP_CLRWDT   12'b0000_0000_0100
`define OP_GOTO     3'b101
`define OP_IORLW    4'b1101
`define OP_MOVLW    4'b1100
`define OP_OPTION   12'b0000_0000_0010
`define OP_RETLW    4'b1000
`define OP_SLEEP    12'b0000_0000_0011
`define OP_XORLW    4'b1111

// Destination
`define W        1'b0
`define F        1'b1

// SFR Address
`define INDF    5'b0_0000
`define TMR0    5'b0_0001
`define PCL     5'b0_0010
`define STATUS  5'b0_0011
`define FSR     5'b0_0100
`define ROMDATL 5'b0_0101
`define ROMDATH 5'b0_0110
`define ROMADR  5'b0_0111
`define ROMCTRL 5'b0_1000
`define LEDDATL 5'b0_1001
`define LEDDATH 5'b0_1010
`define LEDCTRL 5'b0_1011
`define SW      5'b0_1100
`define LEDOBD  5'b0_1101



